%define module_name	intel536ep
%define module_version	4.62
%define module_release	alt4.2

%define kversion	2.4.22
%define krelease	alt2
%define flavour		wks-smp

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%define kgcc_package	gcc2.96


%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	intel536ep kernel modules for Intel 536EP Soft Modems support
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildPreReq:	kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%{flavour} = %{kversion}-%{krelease}
ExclusiveArch:	%{ix86}

%description
intel536ep kernel modules for Intel 536EP Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %kernel_src/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
PSTN_DEF="-DTARGET_SELAH -DTARGET_LINUX -DLINUX"
kincdir="%_includedir/linux-%{kversion}-%{flavour}/include"
INCLUDES="-I$kincdir -I../inc -DMODVERSIONS -include $kincdir/linux/modversions.h"

make -C coredrv   PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 536ep
make -C serialdrv PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 536ep 

%install
mkdir -p %buildroot/%module_dir
%__install -p -m644 coredrv/536epcore.o serialdrv/536ep.o \
	%buildroot/%module_dir/

mkdir -p %buildroot/%_docdir/%name-%version-%release
%__install -p -m644 license.txt readme.txt \
	%buildroot/%_docdir/%name-%version-%release/

%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt4.2
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt3.2
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Thu Oct 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt2.2
- Fixed module location and provides.
- Fixed docs location so that builds for different kernel versions can coexist.

* Wed Oct 01 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt1.2
- Initial build
